> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.futurejobs.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.futurejobs.ai/_mcp/server.

# Get Project Sessions

GET https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions

`GET /projects/sessions`

Returns all sourcing sessions belonging to the project associated with the API key.

## Headers

| Key | Value |
| --- | --- |
| x-fj-api-key | fjk_ |

## Response (200)

``` json
{
  "statusCode": 200,
  "data": [
    {
      "_id": "69f3af1695f333e46da12376",
      "sessionTitle": ".NET Developer",
      "jdDetail": {
        "userText": "Job Title: .NET Developer, Experience: 1-5 years, Location: Pune"
      },
      "totalProfiles": 25
    },
    {
      "_id": "69f2f43d07523d00cbff5367",
      "sessionTitle": "Senior .NET Developer",
      "jdDetail": {
        "userText": "Job Title: Senior .NET Developer, Experience: 4-8 years, Location: Pune"
      },
      "totalProfiles": 35
    }
  ],
  "message": "Project sessions fetched successfully",
  "status": "SUCCESS"
}

 ```

## cURL

Replace `fjk_YOUR_API_KEY_HERE`, then paste and run:

``` bash
curl "https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions" \
  -H "x-fj-api-key: fjk_YOUR_API_KEY_HERE"

 ```

## Errors

- `401 Unauthorized` — invalid API key.
    
- `404 Not Found` — no project associated with the API key.

Reference: https://docs.futurejobs.ai/fj-sourcing-ap-is/sourcing-session/get-project-sessions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: FJ Sourcing APIs
  version: 1.0.0
paths:
  /api/v1/wl/projects/sessions:
    get:
      operationId: get-project-sessions
      summary: Get Project Sessions
      description: >-
        `GET /projects/sessions`


        Returns all sourcing sessions belonging to the project associated with
        the API key.


        ## Headers


        | Key | Value |

        | --- | --- |

        | x-fj-api-key | fjk_ |


        ## Response (200)


        ``` json

        {
          "statusCode": 200,
          "data": [
            {
              "_id": "69f3af1695f333e46da12376",
              "sessionTitle": ".NET Developer",
              "jdDetail": {
                "userText": "Job Title: .NET Developer, Experience: 1-5 years, Location: Pune"
              },
              "totalProfiles": 25
            },
            {
              "_id": "69f2f43d07523d00cbff5367",
              "sessionTitle": "Senior .NET Developer",
              "jdDetail": {
                "userText": "Job Title: Senior .NET Developer, Experience: 4-8 years, Location: Pune"
              },
              "totalProfiles": 35
            }
          ],
          "message": "Project sessions fetched successfully",
          "status": "SUCCESS"
        }

         ```

        ## cURL


        Replace `fjk_YOUR_API_KEY_HERE`, then paste and run:


        ``` bash

        curl "https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions" \
          -H "x-fj-api-key: fjk_YOUR_API_KEY_HERE"

         ```

        ## Errors


        - `401 Unauthorized` — invalid API key.
            
        - `404 Not Found` — no project associated with the API key.
      tags:
        - subpackage_sourcingSession
      parameters:
        - name: x-fj-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Sourcing Session_Get Project
                  Sessions_Response_200
servers:
  - url: https://prod.api.futurejobs.ai
    description: https://prod.api.futurejobs.ai
components:
  schemas:
    ApiV1WlProjectsSessionsGetResponsesContentApplicationJsonSchemaDataItemsJdDetail:
      type: object
      properties:
        userText:
          type: string
      required:
        - userText
      title: >-
        ApiV1WlProjectsSessionsGetResponsesContentApplicationJsonSchemaDataItemsJdDetail
    ApiV1WlProjectsSessionsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        _id:
          type: string
        sessionTitle:
          type: string
        jdDetail:
          $ref: >-
            #/components/schemas/ApiV1WlProjectsSessionsGetResponsesContentApplicationJsonSchemaDataItemsJdDetail
        projectId:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        totalProfiles:
          type: integer
      required:
        - _id
        - sessionTitle
        - jdDetail
        - projectId
        - createdAt
        - updatedAt
        - totalProfiles
      title: ApiV1WlProjectsSessionsGetResponsesContentApplicationJsonSchemaDataItems
    Sourcing Session_Get Project Sessions_Response_200:
      type: object
      properties:
        statusCode:
          type: integer
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiV1WlProjectsSessionsGetResponsesContentApplicationJsonSchemaDataItems
        message:
          type: string
        status:
          type: string
      required:
        - statusCode
        - data
        - message
        - status
      title: Sourcing Session_Get Project Sessions_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-fj-api-key

```

## Examples



**Response**

```json
{
  "statusCode": 200,
  "data": [
    {
      "_id": "69f45196c8bbf1ce65b5bcd6",
      "sessionTitle": ".NET Developer",
      "jdDetail": {
        "userText": "Job Title: .NET Developer, Experience: 1-5 years, Location: Pune"
      },
      "projectId": "69f0dd1da08d760844569bb1",
      "createdAt": "2026-05-01T07:09:10.110Z",
      "updatedAt": "2026-05-01T07:09:42.608Z",
      "totalProfiles": 25
    },
    {
      "_id": "69f44e7fc8bbf1ce65b5ba66",
      "sessionTitle": ".NET Developer",
      "jdDetail": {
        "userText": "Job Title: .NET Developer, Experience: 1-5 years, Location: Pune"
      },
      "projectId": "69f0dd1da08d760844569bb1",
      "createdAt": "2026-05-01T06:55:59.423Z",
      "updatedAt": "2026-05-01T07:01:51.178Z",
      "totalProfiles": 50
    },
    {
      "_id": "69f0f0d162a797f8a4390c08",
      "sessionTitle": "Senior .NET Developer",
      "jdDetail": {
        "userText": "Job Title: Senior .NET Developer, Experience: 4-8 years, Location: Pune"
      },
      "projectId": "69f0dd1da08d760844569bb1",
      "createdAt": "2026-04-28T17:39:29.358Z",
      "updatedAt": "2026-04-28T18:03:14.952Z",
      "totalProfiles": 100
    },
    {
      "_id": "69f0ebe59a1bd921785c2e70",
      "sessionTitle": ".NET Developer",
      "jdDetail": {
        "userText": "Job Title: .NET Developer, Experience: 1-5 years, Location: Pune"
      },
      "projectId": "69f0dd1da08d760844569bb1",
      "createdAt": "2026-04-28T17:18:29.131Z",
      "updatedAt": "2026-04-28T17:43:00.068Z",
      "totalProfiles": 336
    },
    {
      "_id": "69f0df70a08d760844569f60",
      "sessionTitle": ".NET Developer",
      "jdDetail": {
        "userText": "Job Title: .NET Developer, Experience: 1-5 years, Location: Pune"
      },
      "projectId": "69f0dd1da08d760844569bb1",
      "createdAt": "2026-04-28T16:25:20.176Z",
      "updatedAt": "2026-04-28T16:27:57.660Z",
      "totalProfiles": 100
    }
  ],
  "message": "Project sessions fetched successfully",
  "status": "SUCCESS"
}
```

**SDK Code**

```python Sourcing Session_Get Project Sessions_example
import requests

url = "https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions"

headers = {"x-fj-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Sourcing Session_Get Project Sessions_example
const url = 'https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions';
const options = {method: 'GET', headers: {'x-fj-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Sourcing Session_Get Project Sessions_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-fj-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Sourcing Session_Get Project Sessions_example
require 'uri'
require 'net/http'

url = URI("https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-fj-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Sourcing Session_Get Project Sessions_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions")
  .header("x-fj-api-key", "<apiKey>")
  .asString();
```

```php Sourcing Session_Get Project Sessions_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions', [
  'headers' => [
    'x-fj-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Sourcing Session_Get Project Sessions_example
using RestSharp;

var client = new RestClient("https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions");
var request = new RestRequest(Method.GET);
request.AddHeader("x-fj-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Sourcing Session_Get Project Sessions_example
import Foundation

let headers = ["x-fj-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```